Bug 43914 - named in 6.2 and 7.0 dies randomly
Summary: named in 6.2 and 7.0 dies randomly
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: bind (Show other bugs)
(Show other bugs)
Version: 6.2
Hardware: i386 Linux
high
high
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
: 59905 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-06-07 23:10 UTC by Ben LaHaise
Modified: 2005-10-31 22:00 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-02-14 18:13:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ben LaHaise 2001-06-07 23:10:23 UTC
I am only submitting this bug report after getting confirmation that
someone else has seen the bug.  One of my own 7.0 installs with updates had
its named die a couple of weeks ago.  Upon inspection, the logs show the
following:

May 19 22:35:14 kanga named[28855]: stale: impossible condition
May 19 22:35:14 kanga named[28855]: stale: impossible condition

Also, another box running 6.2 with updates had its named die today, the log
showed:

06-Jun-2001 18:16:21.162 panic: critical: savedata: memget

This issues are very sporadic and extremely serious.

Comment 1 Bernhard Rosenkraenzer 2001-07-16 13:03:30 UTC
I can't reproduce this. Please check if this still happens in the current 
version from rawhide (9.1.3-2).
Marking RESOLVED RAWHIDE for now; if you can still reproduce this with the 
current bind, please reopen this bug.


Comment 2 Bernhard Rosenkraenzer 2001-07-17 15:40:08 UTC
Please let me know if the current version fixes this for you; I can't 
reproduce this on my testbox (and my production DNS is running 7.1).


Comment 3 Ben LaHaise 2001-07-17 15:41:34 UTC
It takes a month of running a bunch of nameservers to reproduce this; you can't
tell me it's resolved by a package that hasn't been around that long.

Comment 4 Ben LaHaise 2001-07-17 15:51:02 UTC
alternatively, if 9.1.3-2 actually does fix the bug, please release it as an
errata for 6.x and 7.x

Comment 5 Bernhard Rosenkraenzer 2001-07-17 16:33:20 UTC
I am certain that this particular problem does not exist in 9.* (since it's a 
rewrite) - but there might be other problems causing similar problems, and I'd 
rather not release a may-or-may-not-fix-a-bug-I-could-never-reproduce update.

QA people, can you find a way to reproduce this and/or make sure the current 
version is not affected?


Comment 6 Bernhard Rosenkraenzer 2002-02-14 18:13:41 UTC
*** Bug 59905 has been marked as a duplicate of this bug. ***

Comment 7 Karsten Hopp 2002-07-22 15:41:27 UTC
closing because of inactivity. Seems to be resolved with bind-9


Note You need to log in before you can comment on or make changes to this bug.